Package org.silverpeas.components.projectmanager.model

# Class Filtre

java.lang.Object
org.silverpeas.components.projectmanager.model.Filtre

All Implemented Interfaces:
  `Serializable`

public class Filtre extends Object implements Serializable

Author:
  neysseri
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Filtre()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActionFrom()`
  `String`
  `getActionNom()`
  `String`
  `getActionTo()`
  `String`
  `getAvancement()`
  `String`
  `getCodeProjet()`
  `Date`
  `getDateDebutFrom()`
  `String`
  `getDateDebutFromUI()`
  `Date`
  `getDateDebutTo()`
  `String`
  `getDateDebutToUI()`
  `Date`
  `getDateFinFrom()`
  `String`
  `getDateFinFromUI()`
  `Date`
  `getDateFinTo()`
  `String`
  `getDateFinToUI()`
  `Date`
  `getDatePVFrom()`
  `String`
  `getDatePVFromUI()`
  `Date`
  `getDatePVTo()`
  `String`
  `getDatePVToUI()`
  `String`
  `getDescProjet()`
  `String`
  `getResponsableId()`
  `String`
  `getResponsableName()`
  `String`
  `getRetard()`
  `String`
  `getStatut()`
  `String`
  `getVisibleMOA()`
  `boolean`
  `matches(TaskDetail task)`
  Indicates if the given task matches the registered filters.
  `void`
  `setActionFrom(String string)`
  `void`
  `setActionNom(String string)`
  `void`
  `setActionTo(String string)`
  `void`
  `setAvancement(String string)`
  `void`
  `setCodeProjet(String string)`
  `void`
  `setDateDebutFrom(Date date)`
  `void`
  `setDateDebutFromUI(String string)`
  `void`
  `setDateDebutTo(Date date)`
  `void`
  `setDateDebutToUI(String string)`
  `void`
  `setDateFinFrom(Date date)`
  `void`
  `setDateFinFromUI(String string)`
  `void`
  `setDateFinTo(Date date)`
  `void`
  `setDateFinToUI(String string)`
  `void`
  `setDatePVFrom(Date date)`
  `void`
  `setDatePVFromUI(String string)`
  `void`
  `setDatePVTo(Date date)`
  `void`
  `setDatePVToUI(String string)`
  `void`
  `setDescProjet(String string)`
  `void`
  `setResponsableId(String string)`
  `void`
  `setResponsableName(String string)`
  `void`
  `setRetard(String string)`
  `void`
  `setStatut(String string)`
  `void`
  `setVisibleMOA(String string)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Filtre

    public Filtre()

- ## Method Details

  - ### getActionFrom

    public String getActionFrom()

  - ### getActionNom

    public String getActionNom()

  - ### getActionTo

    public String getActionTo()

  - ### getAvancement

    public String getAvancement()

  - ### getCodeProjet

    public String getCodeProjet()

  - ### getDateDebutFrom

    public Date getDateDebutFrom()

  - ### getDateDebutTo

    public Date getDateDebutTo()

  - ### getDateFinFrom

    public Date getDateFinFrom()

  - ### getDateFinTo

    public Date getDateFinTo()

  - ### getDatePVFrom

    public Date getDatePVFrom()

  - ### getDatePVTo

    public Date getDatePVTo()

  - ### getDescProjet

    public String getDescProjet()

  - ### getResponsableId

    public String getResponsableId()

  - ### getRetard

    public String getRetard()

  - ### getStatut

    public String getStatut()

  - ### getVisibleMOA

    public String getVisibleMOA()

  - ### setActionFrom

    public void setActionFrom(String string)

  - ### setActionNom

    public void setActionNom(String string)

  - ### setActionTo

    public void setActionTo(String string)

  - ### setAvancement

    public void setAvancement(String string)

  - ### setCodeProjet

    public void setCodeProjet(String string)

  - ### setDateDebutFrom

    public void setDateDebutFrom(Date date)

  - ### setDateDebutTo

    public void setDateDebutTo(Date date)

  - ### setDateFinFrom

    public void setDateFinFrom(Date date)

  - ### setDateFinTo

    public void setDateFinTo(Date date)

  - ### setDatePVFrom

    public void setDatePVFrom(Date date)

  - ### setDatePVTo

    public void setDatePVTo(Date date)

  - ### setDescProjet

    public void setDescProjet(String string)

  - ### setResponsableId

    public void setResponsableId(String string)

  - ### setRetard

    public void setRetard(String string)

  - ### setStatut

    public void setStatut(String string)

  - ### setVisibleMOA

    public void setVisibleMOA(String string)

  - ### getDateDebutFromUI

    public String getDateDebutFromUI()

  - ### getDateDebutToUI

    public String getDateDebutToUI()

  - ### getDateFinFromUI

    public String getDateFinFromUI()

  - ### getDateFinToUI

    public String getDateFinToUI()

  - ### getDatePVFromUI

    public String getDatePVFromUI()

  - ### getDatePVToUI

    public String getDatePVToUI()

  - ### setDateDebutFromUI

    public void setDateDebutFromUI(String string)

  - ### setDateDebutToUI

    public void setDateDebutToUI(String string)

  - ### setDateFinFromUI

    public void setDateFinFromUI(String string)

  - ### setDateFinToUI

    public void setDateFinToUI(String string)

  - ### setDatePVFromUI

    public void setDatePVFromUI(String string)

  - ### setDatePVToUI

    public void setDatePVToUI(String string)

  - ### getResponsableName

    public String getResponsableName()

  - ### setResponsableName

    public void setResponsableName(String string)

  - ### matches

    public boolean matches(TaskDetail task)
    Indicates if the given task matches the registered filters.
    Parameters:
      `task` - the task to check.
    Returns:
      true if the filters matches, false otherwise.